For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList registration requests
        • POSTCreate a registration request
        • GETRetrieve a registration request
        • DELDelete a registration request
        • GETFetch guest dashboard link for a registration request
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementRegistration Requests

Create a registration request

POST
https://api.middesk.com/v1/partner/registration_requests
POST
/v1/partner/registration_requests
$curl -X POST https://api.middesk.com/v1/partner/registration_requests \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "state": "CO",
> "email": "[email protected]",
> "company_name": "Company Name",
> "external_id": "external-123"
>}'
1{
2 "object": "registration_request",
3 "id": "190ddf8b-cced-4372-8a58-bed85835bb68",
4 "state": "CO",
5 "status": "pending",
6 "tax_registration_types": [
7 "state_unemployment_insurance",
8 "state_tax_withholdings"
9 ],
10 "company_id": "ad2eb516-13da-4750-9e64-7fdb41ced55b",
11 "created_at": "2025-12-26T21:37:00Z",
12 "agencies": [
13 {
14 "key": "value"
15 }
16 ],
17 "items": [
18 {
19 "key": "value"
20 }
21 ],
22 "invite_link": "https://agent.middesk.com/invitations?guest_token=6c4ad0748b5e416c9dd44109c96d46ae",
23 "external_id": "external-123"
24}
Was this page helpful?
Previous

Retrieve a registration request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
stateenumRequired

US state abbreviation (required)

emailstringRequiredformat: "email"

User email (required)

company_idstringOptionalformat: "uuid"
Existing company ID
company_namestringOptional
Company name for new company
external_idstringOptional
External company identifier
tax_registration_typeslist of stringsOptional

Types of tax registrations (e.g., sales_tax, payroll_tax)

jurisdictionslist of stringsOptional
Tax jurisdictions
redirect_uristringOptionalformat: "uri"
Success redirect URL
redirect_back_uristringOptionalformat: "uri"
Back redirect URL

Response

registration request created
objectstring
idstringformat: "uuid"
stateenum
US state abbreviation
statusstring
Request status
tax_registration_typeslist of strings or null
Types of tax registrations requested
company_idstringformat: "uuid"
created_atstring
agencieslist of maps from strings to any
Tax agency registrations
itemslist of maps from strings to any
Registration items
invite_linkstringformat: "uri"
external_idstring or null
submitted_atstring or null
tax_registrationmap from strings to any or null
Tax registration details

Errors

400
Create Registration Request Request Bad Request Error